GET /api/v202212/widget/ghgscopecategoryrank/{specificWidgetId}

Get ranking by GHG emissions.

GetGHGRankingV202212

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
specificWidgetId The specific widget id integer (int32) Required

Query Parameters

Name Description Type Required
filter The widget filters string (string) Optional

Filters

Filter Description Type Operators
accountId Integer equals
budgetVersionId Integer equals
Channel Channel String equals
chartType Chart Type String equals
commodityCategoryID Integer equals
commodityId Integer equals
cumulative Display as Cumulative Boolean equals
DataPointID Integer equals
emissionSourceId Integer equals
EsaChannelID Integer equals
esaIntervalWidgetGroupBy Group By String equals
includeAccountCharges Include Account Charges Boolean equals
includeAccruals Include Accruals Boolean equals
meterGroupInfo Meter Group Display String equals
meterId Integer equals
numberOfYears Integer equals
placeGroupId Integer equals
placeGroupName Place Group Name String equals
rateId Integer equals
readingDate Reading Date DateTime equals between today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days
Schedule Schedule String equals
topmostCollectionId Integer equals
topmostCostCenterId Integer equals
topmostPlaceCode Topmost Place Code String equals
topmostPlaceId Integer equals
topmostPlaceName Topmost Place Name String equals
vendorId Integer equals

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

AggregatedResponseItemRankWithUnitResponse
Property Description Type
dataDetails The data details ItemRankWithUnitResponse[]
ItemRankWithUnitResponse properties
Property Description Type
display The item display name string
id The item identifier integer (int32)
secondaryDisplay The item formated value string
type The item type string
value The item value number (double)
valueUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
period PeriodRange
PeriodRange properties
Property Description Type
endPeriod The end period for the range integer (int32)
startPeriod The start period for the range integer (int32)
total ItemRankWithUnitResponse
ItemRankWithUnitResponse properties
Property Description Type
display The item display name string
id The item identifier integer (int32)
secondaryDisplay The item formated value string
type The item type string
value The item value number (double)
valueUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
Example Response application/json
{  "dataDetails": [
    {    "display": "string",    "id": 1,    "secondaryDisplay": "string",    "type": "string",    "value": 1.0,    "valueUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    }
  }
  ],  "period": {    "endPeriod": 1,    "startPeriod": 1
  },  "total": {    "display": "string",    "id": 1,    "secondaryDisplay": "string",    "type": "string",    "value": 1.0,    "valueUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    }
  }
}